> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/changelogs/version-10/v10-12-0.md).

# Version 10.12.0 Changelog (September 4, 2024)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 10.12.0.84387

Release Date: September 4, 2024

## Notes

This release of Apryse for Android brings the core PDF functionality inline with version 10.12.0 of the Apryse cross-platform APIs. Most non-module related changes apply to Android.

## New

* Now targeting Android 14
* Added API to exclude annotation type(s) from getting last modified date updated via `ToolManagerBuilder.disableUpdateModifyDateAnnotTypes(int[])`
* Added API to exclude field type(s) from getting last modified date updated via `ToolManagerBuilder.disableUpdateModifyDateFieldTypes(int[])`

## Fixes

* Fixed issue where Stamp annotation looks distorted after rotation in some situations
* Fixed issue where transparent border color maybe not work for FreeText annotation in some situations
* Fixed issue where measurement annotation's content is not showing in the annotation list

## APIs

### PDFViewCtrlTools package

#### ToolManagerBuilder

*new* method: `ToolManagerBuilder disableUpdateModifyDateAnnotTypes(int[])`

*new* method: `ToolManagerBuilder disableUpdateModifyDateFieldTypes(int[])`

#### ToolManager

*new* method: `void disableUpdateModifyDateAnnotTypes(int[])`

*new* method: `void disableUpdateModifyDateFieldTypes(int[])`

*new* method: `Set<Integer> getUpdateModifyDateDisabledAnnotTypes()`

*new* method: `Set<Integer> getUpdateModifyDateDisabledFieldTypes()`

#### AnnotUtils

*new* static method: `boolean canSetDateToNow(PDFViewCtrl, Annot)`

*new* static method: `Boolean hasUnrotatedBBox(Annot)`

#### Utils

*new* static method: `void closeQuietly(AutoCloseable)`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/android/changelogs/version-10/v10-12-0.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
